Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.rules
Class ValueListEditor

    java.lang.Object
      |
      +--oracle.jbo.server.rules.ValueListEditor

public class ValueListEditor
extends java.lang.Object
implements java.beans.PropertyEditor

Provides support for GUIs that allow lists of values to be editied.

Since:
  Jdeveloper 3.0

Constructor Summary
`ValueListEditor()`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener l)` Registers a listener to be notified when values are modified.
`java.lang.String` | `getAsText()` Generates a string representing this list's values.
`java.awt.Component` | `getCustomEditor()` Gets the editor that may be used to modify this list's values.
`java.lang.String` | `getJavaInitializationString()` Generates a Java code fragment representing a constructor for this list's values.
`java.lang.String[]` | `getTags()` Has no effect: this list cannot be represented by tagged values.
`java.lang.Object` | `getValue()` Gets the editied values.
`java.util.Vector` | `getValues()` Gets the editied values.
`boolean` | `isPaintable()` Reports that this list is not paintable.
`void` | `paintValue(java.awt.Graphics g, java.awt.Rectangle box)` Has no effect: this list cannot be painted.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener l)` De-registers a listener.
`void` | `setAsText(java.lang.String str)` Sets this list's values from a text string.
`void` | `setValue(java.lang.Object o)` Sets the values to be edited.
`void` | `setValues(java.util.Vector vec)` Sets the values to be edited.
`boolean` | `supportsCustomEditor()` Reports that this list's values may be modified by an editor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueListEditor

    public ValueListEditor()

Method Detail

### getValues

    public java.util.Vector getValues()

  Gets the editied values.

  Returns:
    the current values.

### setValues

    public void setValues(java.util.Vector vec)

  Sets the values to be edited.

  Parameters:
    `vec` - a list of values.

### setValue

    public void setValue(java.lang.Object o)

  Sets the values to be edited.

  Specified by:
    setValue in interface java.beans.PropertyEditor
  Parameters:
    `o` - the values, in a form that casts to `Vector`.

### getValue

    public java.lang.Object getValue()

  Gets the editied values.

  Specified by:
    getValue in interface java.beans.PropertyEditor
  Returns:
    the values, as a `Vector`.

### isPaintable

    public boolean isPaintable()

  Reports that this list is not paintable.

  Specified by:
    isPaintable in interface java.beans.PropertyEditor
  Returns:
    `false`.

### getTags

    public java.lang.String[] getTags()

  Has no effect: this list cannot be represented by tagged values.

  Specified by:
    getTags in interface java.beans.PropertyEditor
  Returns:
    `null`.

### paintValue

    public void paintValue(java.awt.Graphics g,
                           java.awt.Rectangle box)

  Has no effect: this list cannot be painted.
  Specified by:
    paintValue in interface java.beans.PropertyEditor
  Parameters:
    `g` - ignored.
    `box` - ignored.

### getAsText

    public java.lang.String getAsText()

  Generates a string representing this list's values.

  Specified by:
    getAsText in interface java.beans.PropertyEditor
  Returns:
    a string in a form acceptable to `setAsText`.
  See Also:
    `setAsText(java.lang.String)`

### getJavaInitializationString

    public java.lang.String getJavaInitializationString()

  Generates a Java code fragment representing a constructor for this list's values.

  Specified by:
    getJavaInitializationString in interface java.beans.PropertyEditor
  Returns:
    a string containing Java code.

### setAsText

    public void setAsText(java.lang.String str)
                   throws java.lang.IllegalArgumentException

  Sets this list's values from a text string.

  Specified by:
    setAsText in interface java.beans.PropertyEditor
  Parameters:
    `str` - a string in a form generated by `getAsText`.
  Throws:
    java.lang.IllegalArgumentException - if the string is invalid.
  See Also:
    `getAsText()`

### getCustomEditor

    public java.awt.Component getCustomEditor()

  Gets the editor that may be used to modify this list's values.

  Specified by:
    getCustomEditor in interface java.beans.PropertyEditor
  Returns:
    this list's editor component.

### supportsCustomEditor

    public boolean supportsCustomEditor()

  Reports that this list's values may be modified by an editor.

  Specified by:
    supportsCustomEditor in interface java.beans.PropertyEditor
  Returns:
    `true`.

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

  Registers a listener to be notified when values are modified.

  Specified by:
    addPropertyChangeListener in interface java.beans.PropertyEditor
  Parameters:
    `l` - a listener to be notified when `PropertyChange` events occur.

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener l)

  De-registers a listener.

  Specified by:
    removePropertyChangeListener in interface java.beans.PropertyEditor
  Parameters:
    `l` - a listener that is not to receive further notification of `PropertyChange` events.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD